summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/fperms
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/fperms')
-rwxr-xr-xbin/ebuild-helpers/fperms7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/fperms b/bin/ebuild-helpers/fperms
index 6c236ab68..cdd409a05 100755
--- a/bin/ebuild-helpers/fperms
+++ b/bin/ebuild-helpers/fperms
@@ -2,7 +2,12 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+
# we can't prefix all arguments because
# chmod takes random options
slash="/"
-exec chmod "${@/#${slash}/${D}${slash}}"
+chmod "${@/#${slash}/${D}${slash}}"
+ret=$?
+[[ $ret -ne 0 ]] && helpers_die "$0 failed"
+exit $ret